<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>First Tutorial of js</title>
</head>

<body>
    <div class="container">
        <!-- <div id="demo">
            <h2 class="har">jayraj</h2>
        </div>
        <h1>hello I am hardik</h1>
        <div class="selection" id="myname">
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quae eligendi rerum autem, dolorum voluptates
            cumque saepe perspiciatis cum consequuntur facere vitae dignissimos deleniti quod! Vitae modi doloribus sint
            consequuntur aliquam?
        </div>
        <input type="button" value="click to date" onclick="document.getElementById('myname').innerText=Date()"> -->
        <!-- <ul class="ulclass" id="myulid">
            <li class="liclass">hardik</li>
            <li class="liclass" id="lireplace">kanzariya</li>
            <li class="liclass">hardik</li>
            <li class="liclass">hardik</li>
            <li class="liclass">hardik</li>
            <li class="liclass">hardik</li>
        </ul>

        <div class="demo" id="demo">
            Lorem ipsum dolor sit amet consectetur, adipisicing elit. Eius repudiandae officia exercitationem animi facere perspiciatis saepe recusandae earum molestiae ea aperiam mollitia, dolorum nisi aspernatur repellendus ipsam est quia sapiente!
        </div> -->

        <!-- 
        <h1 id="firstheading">
            my name is hardik
        </h1>

        <button onclick="myFuncOnClick()">on click event</button>
      
        <button onblur="myFuncOnBblur()">on click event</button>

        <button onchange="myFuncOnChange()">on click event</button>

        <input type="text" oncopy="myFuncOnCopy()">on Copy event call </input>
    </br>
        <input type="text" oncut="myFuncOnCut()" id="paragraph" value="oncut"> hardik kanzairya </p> -->
        <!-- 
        <button onclick="document.getElementById('img1').src = 'js/img/off.gif'">click here to off the</button>
        <img src="js/img/off.gif" alt="image is off" id="img1">
        <button onclick="document.getElementById('img1').src = 'js/img/on.gif'">click here to on the</button> -->


        <!-- ============jquery start  -->
        <!-- <p id="p1"> jay shree swaminarayan</p>
        <button id="btn1" >click to hide</button> -->


        <!-- 
        <p id="p1"
            style="border:1px solid blue; background-color: black; color: white; padding: 3px; text-align: justify">
            Lorem ipsum dolor, sit amet consectetur adipisicing elit. Necessitatibus fugit odit accusamus esse.
            Praesentium fuga<b> iusto</b> accusamus ipsam esse assumenda consectetur quae tempora deleniti vel, et
            exercitationem provident quod blanditiis.
        </p> -->

        <!-- <input type="text" name="name" id="name"> -->
        <!-- <button id="btntext" style="width:100%;" >Click to Extract the text </button>
        <button id="btnhtml" style="width:100%;padding: 5px" >Click to Extract the html</button> -->
        <!-- <button id="btnvalue">click to get the textbox value</button> -->

        <!-- append prepend aftter and before  -->
        <!-- <ul  id="myul">
            <li>hardik1</li>
            <li>hardik2</li>
            <li>hardik3</li>
            <li>hardik4</li>
            <li>hardik5</li>
        </ul>
        <button id="mybtnappend">
            click to append the li 
        </button> -->

        <!-- addClass, removeClass -->
        <!-- <p>
            hardik first
        </p>

        <h1>
            hardik h1 tag
        </h1>

        <button id="mybtn">click to add css classes</button>
        <button id="mybtn2">click to Remove css classes</button>
        <button id="mybtn3">click to toggle css classes</button>
        <style>
            .blue {
                color: blue;
            }
        </style> -->




        <!-- date 28-12 js event -->

        <!-- on focus and on blur  -->
        <!-- <input type="text" name="name" placeholder="enter your name" onfocus="onfocuschange();" onblur="onblurchage();"
            id="name"> -->
        <!-- <script>
            function onfocuschange()
            {
                document.getElementById('name').style.color = 'red';
            }
            function onblurchage()
            {
                document.getElementById('name').style.color = 'blue';
            }
        </script> -->
        <!-- end of onfocus and onblur -->


        <!-- <button class="btn btn-primary" onclick="return confirm('Your Name is hardik')">on click event</button> -->



        <!-- <input type="text" oncopy="myFunction()" value="Try to copy this text">

        <p id="demo"></p>

        <script>
            function myFunction() {
                document.getElementById("demo").innerHTML = "You copied text!"
            }
        </script>

        <input type="text" oncut="myFunction()" value="Try to copy this text">

        <p id="demo"></p>

        <script>
            function myFunction() {
                document.getElementById("demo").innerHTML = "You cut text!"
            }
        </script> -->

        <!-- 
        onkeyup, onkeypress, onkeydown(all keybord button exicutee)
        <input type="text" onkeyup="myFuncKeyDown()">
        <script>
            function myFuncKeyDown()
            {
                alert("key is pressed");
            }
        </script>  -->
        <!-- onmousedown(mouse click), onmouseup, onmoveenter, onmouseleave, onmouseout, onmouseover -->
        <!-- <p onmousedown="myFuncMouse()">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Molest
            iae amet quas, officiis numquam animi perspiciatis doloremque ipsum debitis eaque cupiditate. Cupiditate, dig
            nissimos? Nulla adip
            isci ea minus sunt, enim delectus molestiae?</p>

        <script>
            function myFuncMouse()
            {
                alert("Mouse Event fire");
                
            }
        </script> -->

        <!-- add event listner 
        <ul>
            <li id="hardik1">hardik1</li>
            <li>hardik2</li>
            <li>hardik3</li>
            <li>hardik4</li>
            <li>hardik5</li>
            <li>hardik6</li>
        </ul>
        <script>
            document.getElementById("hardik1").addEventListener("click",funcClick);
            function funcClick()
            {
                alert("You click on function");
            }
        </script> -->

        <!--         
        <button onclick="myFunction()">Try it</button>

        <p id="demo"></p>

        <script>
            function myFunction() {
                var x = document.cookie;
                document.getElementById("demo").innerHTML = "Cookies associated with this document: " + x;
            }
        </script> -->

        <!-- set the attributes  -->

        <!-- <a id="p1">lorm lorjm liorem</a>
        <button id="btnattributes" onclick="addAttributes()">hardik</button>
        <script>
            function addAttributes() {
                var a = document.getElementById("p1");
                var b = document.createAttribute("href");
                b.value = "https://www.google.com";
                a.setAttributeNode(b);
            }
        </script>
 -->

        <!-- append child  -->
        <!-- <button onclick="AddNewButton()">add new button</button>
    <script>
        function AddNewButton()
        {
            var a = document.createElement('button');
            a.innerHTML = "added by hardik";
            document.body.appendChild(a);
        }
    </script> -->

        <!-- <ul id="ul1">
            <li id="hardik1">hardik1</li>
            <li>hardik2</li>
            <li>hardik3</li>
            <li>hardik4</li>
            <li>hardik5</li>
            <li>hardik6</li>
        </ul>
        <button onclick="myFunc()">click here</button>
        <script>
            function myFunc() {
               var a = document.createElement("li");
               var txtadd = document.createTextNode("added by hardik");
               a.appendChild(txtadd);
               document.getElementById("ul1").appendChild(txtadd);
            }
        </script> -->

        <!-- window.innerHeight;
        window.innerWidth;
        window.scrollX;
        window.scrollY;
        wondow.location;
        window.href = "https://www.google.com";
        window.history(-1); back to one page
        window.history.length;
         -->

        <div class="fclass sclass" id="f">
            <input type="text" id="in1">
            <input type="text" id="in2">
            <input type="text" id="inn3">
            <div id="f2">
                <ul id="ul1">
                    <li id="h1">hardik1</li>
                    <li>hardik2</li>
                    <li>hardik3</li>
                    <li>hardik4</li>
                    <li>hardik5</li>
                    <li>hardik6</li>
                </ul>
            </div>
            <p id="p1">hardik k </p>
        </div>
    </div>
    <div class="second fclass" id="s">second div</div>
    <div class="third" id="t"> third div </div>
    <div class="four" id="f"> four div</div>
    <script>

        // var a = document.getElementById("f");
        // console.log(a);
        // console.log(a.className);
        // childNodes Is include the text and not giving the perfect it include the comment, text 
        // console.log(a.childNodes);
        // children is giving the perfect list of the child elements it not include comment and text direct find element
        // console.log(a.children);
        // parent node giving the info of the parent node
        // console.log(a.parentNode);


        // if we wan't to add the css in the in1 input id so
        // 1.select an Element
        // var inp = document.getElementById("in1");
        // inp.style.borderColor = "red";
        // then apply the css of value

        // var selectp = document.getElementById("p1");
        // selectp.innerText = "I am hardik";
        // selectp.innerHTML = "<b>hallo I am hardik not hardikk</b>";
        // selectp.style.color = "red"; 

        // var a = document.querySelector("#p1"); it selece only first record 
        // var a = document.querySelector("div"); select only first div 

        //only select the first elements
        // console.log(a);

        // var a =  document.getElementsByClassName("fclass");
        // console.log(a);

        // this select the all elements from the dom
        // var a = document.querySelectorAll("div");
        // console.log(a);



        // learn the dom traversing
        //  nodename, nodetype(1=>element, 2=> attributes 3=>textnode ,8=>comments, 9=> document, 10=>doctype)   
        // var a = document.querySelector('div');
        //console.log(a.children[0].children[3].children[0].children);
        // console.log(a.firstChild); it gives the first child of the childnodes
        // console.log(a.firstElementChild); it gives the first elemtns of the childnodes
        // console.log(a.childNodes)
        // console.log(a.firstChild);
        // console.log(a.firstElementChild);
        // console.log(a.lastElementChild);
        // console.log(a.lastChild);

        // console.log(a.firstElementChild);
        // console.log(a.firstElementChild);
        // console.log(a.nextSibling);
        // console.log(a.nextElementSibling);


        // let a = document.createElement('li');
        // a.className = "li1";
        // a.id="liunique";
        // a.setAttribute("title","added by hardik");
        // a.innerHTML = "<b>added hardik</b>";

        // let b = document.querySelector("#ul1");
        // b.appendChild(a);
        // here a is new Element and h1 id is old element
        // b.replaceChild(a,document.getElementById("h1"));
        // b.removeChild(document.getElementById("h1")); remove the child 

        // var a = document.createElement("a");
        // a.setAttribute("href","https://www.google.com");
        // a.innerText = "go to google";
        // document.body.appendChild(a);

        

    </script>

    <!-- </div> -->


</body>
<!-- <script src="js/first.js"></script> -->
<!-- <script src="js/day2.js"></script> -->
<!-- <script src="js/jquery-3.5.1.js"></script> -->
<!-- <script src="js/day3.js"></script> -->
<!-- <script src="js/events.js"></script> -->

</html>